package vc.thinker.absctacts.mqtt.protocol;


import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
import vc.thinker.absctacts.mqtt.connection.MqttConnectionProperties;

/**
 * 抽象不订阅的Mqtt协议
 *
 * @author HeTongHao
 * @since 2019-10-29 16:00
 */
@Slf4j
public abstract class AbstractNotSubscriptionMqttProtocol extends AbstractMqttProtocol {
    public AbstractNotSubscriptionMqttProtocol(MqttConnectionProperties mqttConnectionProperties) {
        super(mqttConnectionProperties);
    }

    @Override
    public String[] subscribe() {
        // 订阅一个不存在的Topic 防止启动报错
        return new String[]{IdUtil.randomUUID()};
    }

    @Override
    public void handleMessage(String topic, byte[] message) {
    }
}
