package vc.thinker.absctacts.protocolproxy.protocol;

import vc.thinker.absctacts.protocolproxy.dto.IMeterReportEntity;
import vc.thinker.absctacts.protocolproxy.dto.IServiceExecuteCmd;
import vc.thinker.absctacts.protocolproxy.dto.IServiceExecuteResult;
import vc.thinker.absctacts.protocolproxy.enums.IProtocolType;

import java.util.List;

/**
 * 第三方协议
 *
 * @author HeTongHao
 * @since 2021/7/9 16:20
 */
public interface IThirdPartyProtocol {
    /**
     * 协议类型
     *
     * @return 协议类型
     */
    IProtocolType protocolType();

    /**
     * 上报一个或多个仪表的数据
     *
     * @param meterReportEntityList 仪表上报实体列表
     */
    void report(List<IMeterReportEntity> meterReportEntityList);

    /**
     * 接受执行服务
     *
     * @param serviceExecuteCmd 服务执行命令
     * @return 服务执行结果
     */
    IServiceExecuteResult onExecutiveService(IServiceExecuteCmd serviceExecuteCmd);
}
